/*
 *  myGammaFunctions.h
 *  fp
 *
 *  Created by Robert Delaney on 4/24/09.
 *  Copyright 2009 __Bob Delaney's Science Software__. All rights reserved.
 *
 */

void GammaSpouge(fp& z, const fp& x);
fp GammaSpouge(const fp& x);
void smallIncompleteGamma(fp& z, const fp& a, const fp& x);
void largeIncompleteGamma(fp& z, const fp& a, const fp& x);
void Gamma(fp& z, const fp& x);
fp Gamma(const fp& x);
void Gamma(fp& z, double x);
fp Gamma(double x);
bool LnFactorial(fp& z, const fp& x);
fp LnFactorial(const fp& x);
char* TenToLogTenFactorial(const fp& x, bool& calcGood);
